Subject: Re: svnimport problems (abysmal performance and crash) on Cygwin

From: Rogan Dawes <[email-masked]>
Date: Tue, 13 Mar 2007 21:23:15 +0100

Martin Langhoff wrote:
> On 3/14/07, Rogan Dawes <[email-masked]> wrote:
>> Any suggestions for how *I* can figure it out?
> 
> Well -- all my experience with SVN has been when using it with
> svnimport ;-) and trying again and again.
> 
>  From looking at this url
> http://spring-rich-c.svn.sourceforge.net/svnroot/spring-rich-c/ I
> suspect that you might want to invoke it like
> 
> git-svnimport -T trunk -t tags -b branches
> http://spring-rich-c.svn.sourceforge.net/svnroot/spring-rich-c/
> 
> (note the shorter url).
> 
> If that works but leaves the main project in a subdirectory, but the
> trees in branches and tags without the subdirectory, you might want to
> try:
> 
> git-svnimport -T trunk/spring-richclient -t tags -b branches
> http://spring-rich-c.svn.sourceforge.net/svnroot/spring-rich-c/
> 
> It might take a couple of tries. NOTE: you should check not only the
> main dev track but also the branches and tags for sanity.
> 
> cheers
> 
> 
> m

That seems to be working now, with the second commandline that you 
suggested. I'll still verify the tags, but I think that the branches are 
less likely to be a problem, since the project hasn't actually made any, 
as far as I am aware (at least, none that I am interested in).

Thanks for your help!

Rogan